
Website Monitoring - Bug #2446

Error when attempting to run inputs that are missing some parameters (such as interval)

07/25/2019 03:56 AM - Luke Murphey

Status: Closed Start date: 07/24/2019

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.7.6   

Description

https://answers.splunk.com/answers/760109/splunk-website-monitoring-stops-working-if-i-add-m-1.html#comment-760320

Error Message:

2019-07-22 10:52:38,914 ERROR Execution failed

Traceback (most recent call last):

File "/opt/splunk/etc/apps/website_monitoring/bin/modular_input.zip/modular_input/modular_input_base_class.py", line 1083, in

execute

self.do_run(in_stream, log_exception_and_continue=True)

File "/opt/splunk/etc/apps/website_monitoring/bin/modular_input.zip/modular_input/modular_input_base_class.py", line 964, in

do_run

self.run(stanza, cleaned_params, input_config)

File "/opt/splunk/etc/apps/website_monitoring/bin/web_ping.py", line 695, in run

interval = cleaned_params["interval"]

KeyError: 'interval'

Associated revisions

Revision 458 - 07/25/2019 04:18 AM - lukemurphey

Making input more forgiving to missing parameters

Closes #2446

History

#1 - 07/25/2019 04:00 AM - Luke Murphey

I'm thinking that the input is missing an interval.

#2 - 07/25/2019 04:04 AM - Luke Murphey

- Subject changed from Error when attempting to run inputs to Error when attempting to run inputs that are missing some parameters (such as interval)

#3 - 07/25/2019 04:04 AM - Luke Murphey

- Target version set to 2.7.6

#4 - 07/25/2019 05:29 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100

Powered by TCPDF (www.tcpdf.org)

04/09/2024 1/1

https://answers.splunk.com/answers/760109/splunk-website-monitoring-stops-working-if-i-add-m-1.html#comment-760320
http://www.tcpdf.org

